// Global component styles

html {
    position: relative;
    min-height: 100%;
  }
  
  body {
    height: 100%;
  }
  
  a {
    &:focus {
      outline: none;
    }
  }
  
  [role="main"] {
    padding-top: 133px; /* Space for fixed navbar */
    padding-bottom: 25px;
  }
  
  @media (min-width: 768px) {
    [role="main"] {
      padding-top: 48px; /* Space for fixed navbar */
    }
  }

  .ControlInput{

    @extend .input-group;
    @extend .mb-2;

    &--ContenedorIcono{

      @extend .input-group-prepend;

      &-Icono{

        @extend .input-group-text;
        @extend .bg-transparent;
        @extend .border-right-0;
        @extend .text-secondary;

      }

    }

    &--ContenedorIconoAppend{

      @extend .input-group-append;

      &-Icono{

        @extend .input-group-text;
        @extend .bg-transparent;
        @extend .border-left-0;
        @extend .text-secondary;

      }

    }

    &--ContenedorBoton{

      @extend .input-group-append;

      &-Boton{

        @extend .input-group-text;
        @extend .bg-transparent;
        @extend .border-left-0;
        @extend .btn;
        @extend .btn-sm;
        @extend .btn-link;

      }

    }

    &--ContenedorChecbox{

      @extend .input-group-append;

      &-Div{

        @extend .custom-control;
        @extend .custom-checkbox;
        @extend .ml-2;

      }

      &-Check{

        @extend .custom-control-input;

      }

    }

    &--Input{

      @extend .form-control;
      @extend .border-left-0;
      
      &[size="sm"]{

        @extend .form-control-sm;
  
      }

      &[borderDer0]{

        @extend .border-right-0;

      }

    }

    &--Select{

      @extend .custom-select;
      @extend .border-left-0;

      &[size-select="sm"]{

        @extend .custom-select-sm;
  
      }

    }

    &--Label{

      @extend .form-control;
      @extend .border-left-0;
      
      &[size-label="sm"]{

        @extend .form-control-sm;
  
      }

    }

  }

  .ControlCheckbox{

    @extend .custom-control;
    @extend .custom-switch;

    input[type="checkbox"]{

      @extend .custom-control-input;

    }

    label{

      @extend .custom-control-label;
      @extend .h6;

    }

  }

  // Main page wrapper
  #wrapper {
    display: flex;
    #content-wrapper {
      background-color: $gray-100;
      width: 100%;
      overflow-x: hidden;
      #content {
        flex: 1 0 auto;
      }
    }
  }
  
  // Set container padding to match gutter width instead of default 15px
  .container,
  .container-fluid {
    padding-left: $grid-gutter-width;
    padding-right: $grid-gutter-width;
  }
  
  // Scroll to top button
  .scroll-to-top {
    position: fixed;
    right: 1rem;
    bottom: 1rem;
    display: none;
    width: 2.75rem;
    height: 2.75rem;
    text-align: center;
    color: $white;
    background: fade-out($gray-800, .5);
    line-height: 46px;
    &:focus,
    &:hover {
      color: white;
    }
    &:hover {
      background: $gray-800;
    }
    i {
      font-weight: 800;
    }
  }
